Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001903Frama-CKernel > configurepublic2014-07-30 18:182014-08-04 15:44
ReporterJulien_t 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSGnu/linux DebianOS VersionDebian 3.14.12-1
Product VersionFrama-C Fluorine-20130601 
Target VersionFixed in VersionFrama-C Neon-20140301 
Summary0001903: Configure fails for GNU Make 4.0
DescriptionFirst I should probably say that I use opam to install frama-C.
The configure file test whether the Make version is greater than 3.81 but it check that major version is >= 3 (which is ok) and that minor version is >= 81, which is not the case for the version 4.0
Steps To Reproduce./configure in an environment with version 4.0 of GNU Make
Additional Informationtest at line 2630 of the configure file should be modified.
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0001574closedvirgile make version 4.0 is rejected 

-  Notes
(0005349)
Julien_t (reporter)
2014-07-30 18:31

sorry I just found that it is already known :
https://bts.frama-c.com/view.php?id=1574 [^]

But it would be nice to fix it in the opam repository ;)
(0005351)
signoles (manager)
2014-07-31 10:25

It is fixed in the latest Frama-C version (aka Neon-20140301). This version is available in the Opam repo.
(0005353)
Julien_t (reporter)
2014-07-31 15:40

I see. The problem is that I use 'Why', which depends on the frama-c.20130601 package. So to be able to install it, I have to extract the frama-c archive downloaded by opam, patch the configure file, re-compress the directory and put it at the right place. which is not really convenient.
Would it be possible to fix the version 20130601 in the repository ?
(0005354)
signoles (manager)
2014-07-31 16:50

Why is deprecated and is now replaced by Why3 (see http://why.lri.fr [^]). Why3 is available through Opam and is compatible with the latest release of Frama-C (Neon-20140301).

I recommend that you switch from Why to Why3.

From our side, there is no plan to release a new version of Frama-C compatible with Fluorine (20130601).

- Issue History
Date Modified Username Field Change
2014-07-30 18:18 Julien_t New Issue
2014-07-30 18:18 Julien_t Status new => assigned
2014-07-30 18:18 Julien_t Assigned To => virgile
2014-07-30 18:31 Julien_t Note Added: 0005349
2014-07-31 10:25 signoles Note Added: 0005351
2014-07-31 10:25 signoles Assigned To virgile => signoles
2014-07-31 15:40 Julien_t Note Added: 0005353
2014-07-31 16:50 signoles Note Added: 0005354
2014-08-04 15:44 signoles Relationship added duplicate of 0001574
2014-08-04 15:44 signoles Status assigned => closed
2014-08-04 15:44 signoles Resolution open => fixed
2014-08-04 15:44 signoles Fixed in Version => Frama-C Neon-20140301


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker